local TradeSkills
local TradeSkillNames

local SVData = {}

-- Initialise the Options Window
function XrysGathererOptions_Initialise(self)
	self.Caption = self:GetNamedChild( "_Caption" )
	self.Caption:SetFont("ZoFontGameLargeBoldShadow")
    self.PinID1 = self:GetNamedChild( "_PinID1" )    
    self.PinID1:SetFont("ZoFontGameLargeBoldShadow")
    self.PinID2 = self:GetNamedChild( "_PinID2" )    
    self.PinID2:SetFont("ZoFontGameLargeBoldShadow")
    self.PinID3 = self:GetNamedChild( "_PinID3" )    
    self.PinID3:SetFont("ZoFontGameLargeBoldShadow")
    self.PinID4 = self:GetNamedChild( "_PinID4" )    
    self.PinID4:SetFont("ZoFontGameLargeBoldShadow")
    self.PinID5 = self:GetNamedChild( "_PinID5" )    
    self.PinID5:SetFont("ZoFontGameLargeBoldShadow")
    self.PinID6 = self:GetNamedChild( "_PinID6" )    
    self.PinID6:SetFont("ZoFontGameLargeBoldShadow")
    self.NewNode = self:GetNamedChild( "_NewNodeOutput" )
    self.NewNode:SetFont("ZoFontGameLargeBoldShadow")
    self.OldNode = self:GetNamedChild( "_OldNodeOutput" )
    self.OldNode:SetFont("ZoFontGameLargeBoldShadow")

	SVData = SVData or {} 
	SVData["Options"] = SVData["Options"] or {} 
	SVData["Options"].Filters = SVData["Options"].Filters or {} 
	SVData["Options"]["Verbose"] = SVData["Options"]["Verbose"] or {}

	self.InitFilter = function(self,checkBox,pinID)
		ZO_CheckButton_SetCheckState(checkBox,SVData["Options"]["Filters"][pinID])
		ZO_CheckButton_SetLabelText(checkBox,XRGALocaleString["FILTER DISPLAY"].." "..TradeSkillNames[pinID])
	end

	self.SetFilter = function(self,checkBox,pinID)
		SVData["Options"].Filters[pinID] = ZO_CheckButton_IsChecked(checkBox)
	end

	self.InitVerboseOutput = function(self,isNewNode)
		if isNewNode then
			ZO_CheckButton_SetCheckState(self.NewNode,SVData["Options"]["Verbose"]["New Node"])
			ZO_CheckButton_SetLabelText(self.NewNode,XRGALocaleString["VERBOSE OUTPUT"].." "..XRGALocaleString["NEW NODE"])
		else
			ZO_CheckButton_SetCheckState(self.OldNode,SVData["Options"]["Verbose"]["Old Node"])
			ZO_CheckButton_SetLabelText(self.OldNode,XRGALocaleString["VERBOSE OUTPUT"].." "..XRGALocaleString["OLD NODE"])
		end
	end

	self.SetVerboseOutput = function(self,checkBox,isNewNode)
		if isNewNode then
			SVData["Options"]["Verbose"]["New Node"] = ZO_CheckButton_IsChecked(checkBox)
		else
			SVData["Options"]["Verbose"]["Old Node"] = ZO_CheckButton_IsChecked(checkBox)
		end
	end

	self.InitialiseDisplay = function(self)
		self.Caption:SetText(XRGALocaleString["OPTIONS"].." "..GetUnitName("player"))
		self:InitFilter(self.PinID1,1)
		self:InitFilter(self.PinID2,2)
		self:InitFilter(self.PinID3,3)
		self:InitFilter(self.PinID4,4)
		self:InitFilter(self.PinID5,5)
		self:InitFilter(self.PinID6,6)	
		self:InitVerboseOutput(true)
		self:InitVerboseOutput(false)
	end

	self:SetHidden(true)
end

local function PlayerActivated(eventID)
	EVENT_MANAGER:UnregisterForEvent(XRGA.AddonInfo.Prefix.."_Options",eventID)
	TradeSkills,TradeSkillNames = XRGA:InitTradeSkillInfo()
end

local function AddOnLoaded(eventID,addonName)
	if addonName == XRGA.AddonInfo.Name then
		EVENT_MANAGER:UnregisterForEvent(XRGA.AddonInfo.Prefix.."_Options",eventID)
		SVData = XRGA:InitialiseSV()
		EVENT_MANAGER:RegisterForEvent(XRGA.AddonInfo.Prefix.."_Options",EVENT_PLAYER_ACTIVATED,PlayerActivated)
	end
end

EVENT_MANAGER:RegisterForEvent(XRGA.AddonInfo.Prefix.."_Options",EVENT_ADD_ON_LOADED,AddOnLoaded)

