
local SVData = {}
local SVDefault = {}
local SVDefaultOptions = {
	Filters = {
		[CRAFTING_TYPE_ALCHEMY] = true,
		[CRAFTING_TYPE_BLACKSMITHING] = true,
		[CRAFTING_TYPE_CLOTHIER] = true,
		[CRAFTING_TYPE_ENCHANTING] = true,
		[CRAFTING_TYPE_PROVISIONING] = true,
		[CRAFTING_TYPE_WOODWORKING] = true,
	},
	Verbose = {
		["New Node"] = true,
		["Old Node"] = true,
	},
}

-- Initialise the Saved Variables Table and return it for use in the other files
function XRGA:InitialiseSV()
	SVData = {
		["NodeData"] = ZO_SavedVars:NewAccountWide("XrysGatherer_SavedVariables", 2, "NodeData", SVDefault),
		["ItemData"] = ZO_SavedVars:NewAccountWide("XrysGatherer_SavedVariables", 2, "ItemData", SVDefault),
		["Options"] = ZO_SavedVars:New("XrysGatherer_SavedVariables",2,"Options",SVDefaultOptions),
	}
	return SVData
end

local function PlayerActivated(eventID)
	EVENT_MANAGER:UnregisterForEvent(XRGA.AddonInfo.Prefix.."_SavedVars",eventID)
	SVData["NodeData"].AddonVersion = XRGA.AddonInfo.Version
	SVData["NodeData"].Language = GetCVar("language.2")
	SVData["ItemData"].AddonVersion = XRGA.AddonInfo.Version
	SVData["ItemData"].Language = GetCVar("language.2")	
end

local function AddOnLoaded(eventID,addonName)
	if addonName == XRGA.AddonInfo.Name then
		EVENT_MANAGER:UnregisterForEvent(XRGA.AddonInfo.Prefix.."_SavedVars",eventID)
		XRGA:InitialiseSV()
		EVENT_MANAGER:RegisterForEvent(XRGA.AddonInfo.Prefix.."_SavedVars",EVENT_PLAYER_ACTIVATED,PlayerActivated)
	end
end

EVENT_MANAGER:RegisterForEvent(XRGA.AddonInfo.Prefix.."_SavedVars",EVENT_ADD_ON_LOADED,AddOnLoaded)

